Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceConst.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceConst.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceConst.cs	(revision 15018)
@@ -39,5 +39,5 @@
     }
     [StorableConstructor]
-    private CovarianceConst(bool deserializing)
+    private CovarianceConst(StorableConstructorFlag deserializing)
       : base(deserializing) {
     }
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceLinear.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceLinear.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceLinear.cs	(revision 15018)
@@ -30,5 +30,5 @@
   public sealed class CovarianceLinear : Item, ICovarianceFunction {
     [StorableConstructor]
-    private CovarianceLinear(bool deserializing) : base(deserializing) { }
+    private CovarianceLinear(StorableConstructorFlag deserializing) : base(deserializing) { }
     private CovarianceLinear(CovarianceLinear original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceLinearArd.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceLinearArd.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceLinearArd.cs	(revision 15018)
@@ -42,5 +42,5 @@
 
     [StorableConstructor]
-    private CovarianceLinearArd(bool deserializing) : base(deserializing) { }
+    private CovarianceLinearArd(StorableConstructorFlag deserializing) : base(deserializing) { }
     private CovarianceLinearArd(CovarianceLinearArd original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceMask.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceMask.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceMask.cs	(revision 15018)
@@ -40,5 +40,5 @@
 
     [StorableConstructor]
-    private CovarianceMask(bool deserializing)
+    private CovarianceMask(StorableConstructorFlag deserializing)
       : base(deserializing) {
     }
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceMaternIso.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceMaternIso.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceMaternIso.cs	(revision 15018)
@@ -53,5 +53,5 @@
 
     [StorableConstructor]
-    private CovarianceMaternIso(bool deserializing)
+    private CovarianceMaternIso(StorableConstructorFlag deserializing)
       : base(deserializing) {
     }
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceNeuralNetwork.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceNeuralNetwork.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceNeuralNetwork.cs	(revision 15018)
@@ -48,5 +48,5 @@
 
     [StorableConstructor]
-    private CovarianceNeuralNetwork(bool deserializing)
+    private CovarianceNeuralNetwork(StorableConstructorFlag deserializing)
       : base(deserializing) {
     }
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceNoise.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceNoise.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceNoise.cs	(revision 15018)
@@ -40,5 +40,5 @@
 
     [StorableConstructor]
-    private CovarianceNoise(bool deserializing)
+    private CovarianceNoise(StorableConstructorFlag deserializing)
       : base(deserializing) {
     }
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovariancePeriodic.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovariancePeriodic.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovariancePeriodic.cs	(revision 15018)
@@ -57,5 +57,5 @@
 
     [StorableConstructor]
-    private CovariancePeriodic(bool deserializing) : base(deserializing) { }
+    private CovariancePeriodic(StorableConstructorFlag deserializing) : base(deserializing) { }
     private CovariancePeriodic(CovariancePeriodic original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovariancePiecewisePolynomial.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovariancePiecewisePolynomial.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovariancePiecewisePolynomial.cs	(revision 15018)
@@ -53,5 +53,5 @@
 
     [StorableConstructor]
-    private CovariancePiecewisePolynomial(bool deserializing)
+    private CovariancePiecewisePolynomial(StorableConstructorFlag deserializing)
       : base(deserializing) {
     }
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovariancePolynomial.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovariancePolynomial.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovariancePolynomial.cs	(revision 15018)
@@ -52,5 +52,5 @@
 
     [StorableConstructor]
-    private CovariancePolynomial(bool deserializing)
+    private CovariancePolynomial(StorableConstructorFlag deserializing)
       : base(deserializing) {
     }
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceProduct.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceProduct.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceProduct.cs	(revision 15018)
@@ -42,5 +42,5 @@
 
     [StorableConstructor]
-    private CovarianceProduct(bool deserializing)
+    private CovarianceProduct(StorableConstructorFlag deserializing)
       : base(deserializing) {
     }
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceRationalQuadraticArd.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceRationalQuadraticArd.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceRationalQuadraticArd.cs	(revision 15018)
@@ -56,5 +56,5 @@
 
     [StorableConstructor]
-    private CovarianceRationalQuadraticArd(bool deserializing)
+    private CovarianceRationalQuadraticArd(StorableConstructorFlag deserializing)
       : base(deserializing) {
     }
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceRationalQuadraticIso.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceRationalQuadraticIso.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceRationalQuadraticIso.cs	(revision 15018)
@@ -57,5 +57,5 @@
 
     [StorableConstructor]
-    private CovarianceRationalQuadraticIso(bool deserializing)
+    private CovarianceRationalQuadraticIso(StorableConstructorFlag deserializing)
       : base(deserializing) {
     }
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceScale.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceScale.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceScale.cs	(revision 15018)
@@ -46,5 +46,5 @@
 
     [StorableConstructor]
-    private CovarianceScale(bool deserializing)
+    private CovarianceScale(StorableConstructorFlag deserializing)
       : base(deserializing) {
     }
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceSpectralMixture.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceSpectralMixture.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceSpectralMixture.cs	(revision 15018)
@@ -64,5 +64,5 @@
 
     [StorableConstructor]
-    private CovarianceSpectralMixture(bool deserializing)
+    private CovarianceSpectralMixture(StorableConstructorFlag deserializing)
       : base(deserializing) {
     }
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceSquaredExponentialArd.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceSquaredExponentialArd.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceSquaredExponentialArd.cs	(revision 15018)
@@ -48,5 +48,5 @@
 
     [StorableConstructor]
-    private CovarianceSquaredExponentialArd(bool deserializing) : base(deserializing) { }
+    private CovarianceSquaredExponentialArd(StorableConstructorFlag deserializing) : base(deserializing) { }
     private CovarianceSquaredExponentialArd(CovarianceSquaredExponentialArd original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceSquaredExponentialIso.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceSquaredExponentialIso.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceSquaredExponentialIso.cs	(revision 15018)
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    private CovarianceSquaredExponentialIso(bool deserializing)
+    private CovarianceSquaredExponentialIso(StorableConstructorFlag deserializing)
       : base(deserializing) {
     }
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceSum.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceSum.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/GaussianProcess/CovarianceFunctions/CovarianceSum.cs	(revision 15018)
@@ -42,5 +42,5 @@
 
     [StorableConstructor]
-    private CovarianceSum(bool deserializing)
+    private CovarianceSum(StorableConstructorFlag deserializing)
       : base(deserializing) {
     }
